Skip to main content
GET
/
chats
/
unread
Get unread chats, messages, and notifications count
curl --request GET \
  --url https://api.fanvue.com/chats/unread \
  --header 'Authorization: Bearer <token>' \
  --header 'X-Fanvue-API-Version: <x-fanvue-api-version>'
{
  "unreadChatsCount": 5,
  "unreadMessagesCount": 12,
  "unreadNotifications": {
    "newFollower": 3,
    "newPostComment": 2,
    "newPostLike": 8,
    "newPurchase": 1,
    "newSubscriber": 4,
    "newTip": 2,
    "newPromotion": 0
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

X-Fanvue-API-Version
string
default:2025-06-26
required

API version to use for the request

Example:

"2025-06-26"

Response

Unread counts retrieved successfully

unreadChatsCount
number
required

Number of conversations with unread messages

unreadMessagesCount
number
required

Total number of unread messages across all chats

unreadNotifications
object
required

Counts of unread notifications by type